<?
	 include("funciones/funciones_backup.php");
   	 include("conexion/conexion.php");
     include("trabajo/prueba.php");
	 include("Menu/menu_inicio.php");
	 echo"<meta name=\"author\" content='DESARROLLO WEB'>";
	 echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow

function displayStaticMessage(messageContent,cssClass,src)
{
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(350,100);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	//matrix.src = "imagenes/loader.gif";	
	messageObj.display();
	
	
}

function closeMessage()
{
	messageObj.close();	
}


</script>
<CENTER>
<form action="" method="POST" name="backup" encType="multipart/form-data" target="IF">
<table width="358">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">..:: Cargar Archivo Digitalizacion ::..</div>
        </td>
      </tr>
<tr class=miTable_tr>
<td class=miTable_td>
Seleccione Archivo:</td>
<td class=miTable_td><input type="file" name="txt" class="inputbox"></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_td>
Seleccione Separador:</td>
<td class=miTable_td>
<select name="sep" class="inputbox">
<option value=";">Punto y Coma (;)</option>
<option value=",">Coma (,)</option>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" value="Procesar" name="buscar" class="inputbox" onclick="displayStaticMessage('<p align=center><font color=#bb0415><b>Espere por Favor Se esta cargando la Informacion</b></font><br><br><img src=imagenes/loader.gif></p>',false)">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(isset($buscar)){
	 
class nuevoPrueba {
	 
	 // PROPIEDADES
	 var $pruebaObj;
	 var $conexionObj;
	 var $estado;

	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba();
			$this->pruebaObj->setGuia($guia);
	}//END FUNCION SET

	function getPrueba(){
		return $this->pruebaObj;
	}//END FUNCION GET

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$rst=$this->conexionObj->consultar("SELECT * FROM `tablas_digitalizacion` ORDER BY id DESC");
		$numero=rand(2,99);
		$tabla_1="temporal".$numero."".date('H')."".date('i')."".date('s');
		//$this->insertarDatos($tabla_1);
		if(mysql_num_rows($rst)>=1){
		  $this->insertarDatos($tabla_1);
        }
		else{
		     
			$this->insertarDatos($tabla_1);
		   }
	}//END FUNCION VALIDAR

function insertarDatos($tabla_1){
//echo "entro insertar";//$fn1=$_POST['fn'];
$sep=';';
$nombre=$_FILES['txt']['name'];
$tipo=$_FILES['txt']['type'];
$tam=$_FILES['txt']['size'];
$temp= $_FILES['txt']['tmp_name'];
if($nombre==''){
		echo "Usuario: ".$id_user=$_GET['id_user'];
		$msgBOX = "No Selecciono un Archivo.";
	  		  echo "<script>
	          alert('$msgBOX');
			  setTimeout(location.href='ejecuta_cargar.php?id_user=$id_user', 100);
	  		  </script>";
}
//$nombret = "/AppServ/www/backup_intranet/".$nombre;
$nombret = "/AppServ/www/masivos/".$nombre;

		   if (move_uploaded_file($temp, $nombret)){
	       //@copy($_FILES['txt']['name'], $_FILES['txt']['tmp_name']);
		   }else{
			    echo "No se subio el archivo";
		   }
	$lines = file($nombre);
	$i=0;
	foreach ($lines as $line_num => $line) {
	$value_str=strstr($line,$sep);
	if($value_str==''){
		//echo "Separador Automatico";
		$sep=',';
		$value_str=strstr($line,$sep);
		if($value_str==''){
			  $id_user=$_GET['id_user'];
			  $msgBOX = "Verifique Separador.";
	  		  echo "<script>
	          setTimeout(location.href='ejecuta_cargar.php?id_user=$id_user', 100);
	          alert('$msgBOX');
	  		  </script>";		
		}else{
			$sep2=$sep;
		}
	}else{
		$sep2=$sep;
		//echo "Separador Actual";
	}
	
	$datos = explode($sep2, $line);
	$num=0;
	$est=0;
	
	if($i>0){
	
	   $insertar='';
	 	  for ($j=0;$j<count($datos);$j++) {
	 	    
			if($j==0){
	 	    $insertar.="'".trim($datos[$j])."'";
	 	    //$campo_Eliminacion=trim($array_campos[$i]);
	        }else
	         $insertar.=",'".trim($datos[$j])."'";
	      }
	 	  $rst=$this->conexionObj->modificar("insert into $tabla_1 values(".$insertar.")");
		  $cont_insert=$cont_insert+1;	
	}else{
	 	  
		  for ($j=0;$j<count($datos);$j++) {
	 	    
			if($j==0){
	 	    $valor.="".trim($datos[$j])." VARCHAR(200)";
	 	    //$campo_Eliminacion=trim($array_campos[$i]);
	 	    }else
	         $valor.=",".trim($datos[$j])." VARCHAR(200)";
	 	  }
	      $rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE ".$tabla_1." ($valor) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
	}
	
	$i=$i+1;
	
	}
	unlink($nombre);
	$i--;
		echo "<center>";
		echo "<br>";
		echo "<form action='' method='POST'>";
		echo "<table border=0 width=55% id=table1>
		<tr class=miTable_tr><td class=miTable_th1>Campos Digitalizacion</td>
		<td class=miTable_th1>Campos $nombre</td></tr>
		<tr class=miTable_tr><td class=miTable_td>Guia</td>";
		echo "<td class=miTable_td>";
		echo "<center><SELECT name=campos_txt[] class=inputbox>";
	    //echo"<option value=NULL>NULL</option>";
        $campos=get_field($tabla_1);
 	    echo "</SELECT></center>";
		echo "</td></tr>";
		echo "<tr class=miTable_tr><td class=miTable_td>Path</td>";
		echo "<td class=miTable_td>";
		echo "<center><SELECT name=campos_txt[] class=inputbox>";
	    //echo"<option value=NULL>NULL</option>";
		$campos=get_field($tabla_1);
		echo "</SELECT></center>";
		echo"<input type=hidden value=$tabla_1 name=tabla_1><input type=hidden value=$cont_insert name=id_lote>";
		echo "</td></tr>";
		echo "<tr class=miTable_tr><td class=miTable_th1></td><td class=miTable_th1><input type=submit value=Cargar name=Cargar class=inputbox onclick=\"displayStaticMessage('<p align=center><font color=#bb0415><b>Espere por Favor Insertando datos</b></font><br><br><img src=imagenes/loader.gif></p>',false)\"></td></tr>";
		echo "</table></form>";
		
}//END FUNCION INSERTAR

}//END CLASE PRUEBA
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();
}else{

?>

<? }

if(isset($Cargar)){

$this->conexionObj = new conexion();
$this->conexionObj->conectarse();
// SE CREA UN LOTE PARA LOS DATOS QUE SE INSERTAN //
$fecha=date("Y-m-d");
$hora=date("H:i:s");
$id_lote;
$rst_lote=$this->conexionObj->modificar("insert into lote values('0', '".$fecha."', '".$hora."', '".$id_lote."')");
$rst_lote=$this->conexionObj->consultar("SELECT * FROM lote ORDER BY id DESC");
$fila_lote = mysql_fetch_array($rst_lote);
$lote=$fila_lote['id'];


for($i=0; $i<=count($campos_txt)-1; $i++)
  {
   if($i==0)    
     $campo.="".$campos_txt[$i]."";
   else
     $campo.=", ".$campos_txt[$i]."";
  }
 $campo.=", CAJA, PAQUETE, POSICION";
 $tabla_1; // 173028608 -
 $rst_temp=$this->conexionObj->consultar("SELECT $campo FROM $tabla_1");
 $cantidad = mysql_num_rows($rst_temp);
 // VERIFICA SI YA EXISTE UNA TABLA DE DIGITALIZACION //
  $rst=$this->conexionObj->consultar("SELECT * FROM `tablas_digitalizacion` ORDER BY id DESC");
 if (mysql_num_rows($rst)>=1){
 	    $fila = mysql_fetch_array($rst);
		$tabla_dig=$fila['nom_tabla'];
		$numero=$fila['id'];
 }else{	
		$rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE `digitalizacion_1` (`id` int(10) unsigned NOT NULL auto_increment,
		`guia` varchar(100) NOT NULL,
		`path` varchar(250) NOT NULL,
		`lote` varchar(15) NOT NULL,
		`caja` char(15) NOT NULL,
		`paquete` char(15) NOT NULL,
		`posicion` char(15) NOT NULL,
		UNIQUE KEY `id` (`id`),
		UNIQUE KEY `guia` (`guia`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
		$rst_insertar=$this->conexionObj->modificar("insert into tablas_digitalizacion values(0, 'digitalizacion_1')");
		$tabla_dig='digitalizacion_1';
 }

// RECORRE TABLA TEMPORAL E INSERTA EN TABLA DIGITALIZACION //
$k=0;
 while($row_temp=mysql_fetch_array($rst_temp)){
		$rst_tablas=$this->conexionObj->consultar("SELECT count(guia) FROM $tabla_dig");
		$num_max = mysql_fetch_array($rst_tablas);
		$max_row = $num_max[0];
		if($max_row<10000000){
			//$this->insertarDatos($tabla_1);
			//echo ' entro if ';
		}else{
			//echo ' entro else ';
			$rst_nom_tabla=$this->conexionObj->consultar("SELECT * FROM `tablas_digitalizacion` ORDER BY id DESC");
			$fila = mysql_fetch_array($rst_nom_tabla);
			$numero=$fila['id']+1;
			$nulo=0;
			$tabla_dig="digitalizacion_".$numero;
			$rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE ".$tabla_dig." (`id` int(10) unsigned NOT NULL auto_increment,
			`guia` varchar(100) NOT NULL,
			`path` varchar(250) NOT NULL,
			`lote` varchar(15) NOT NULL,
			`caja` char(15) NOT NULL,
			`paquete` char(15) NOT NULL,
			`posicion` char(15) NOT NULL,
			UNIQUE KEY `id` (`id`),
			UNIQUE KEY `guia` (`guia`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
			$rst_insertar=$this->conexionObj->modificar("insert into tablas_digitalizacion values(0, '".$tabla_dig."')");
		}
		$k++;
		$rst=$this->conexionObj->modificar("insert into $tabla_dig values('0','".$row_temp[0]."','".$row_temp[1]."','".$lote."','".$row_temp['CAJA']."','".$row_temp['PAQUETE']."','".$row_temp['POSICION']."' )");
 }
 // ELIMINA LA TABLA TEMPORAL CREADA //
 $drop_temp=$this->conexionObj->modificar("DROP table $tabla_1");
 echo "<center><table border=0 id=table1>
 		<tr class=miTable_tr>
		<td class=miTable_th1>Registros cargados</td>
		<td class=miTable_th1>Lote</td>
		<td class=miTable_th1>Ultima Tabla Usada</td></tr>
		<tr class=miTable_tr>
		<td class=miTable_td>".$k."</td>
		<td class=miTable_td>".$lote."</td>
		<td class=miTable_td>".$tabla_dig."</td>
		</tr>
		</table></center>";
}
?>